---
author: prism_breaker
date: null
gitea_url: "http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/issues/268"
xmr: 87iB34vdFvNULrAjyfVAZ7jMXc8vbq9tLGMLjo6WC8N9Xo2JFaa8Vkp6dwXBt8rK12Xpz5z1rTa9jSfgyRbNNjswHKTzFVh
---
# How to get and use residential proxies anonymously

While Tor is a requirement to protect your anonymity online, some services refuse to be accessed anonymously, and are intentionally blocking connections coming from Tor exits nodes. These services are against your anonymity, but there are still ways to access them anonymously:

![](AccessDenied.jpg)

A residential proxy will reroute your access through a residential ip address, which makes your connection look like it is coming from your ISP or your mobile carrier.

_Serverside Context:_ This setup is to be considered only in the case where the destination website also blocks your attempts at connecting there via a [(you -> Tor -> VPN -> destination)](../whentorisblocked/index.md) setup.

![](../torthroughvpn/12.png)

Under this setup you can access those websites that are blocking both Tor and VPN traffic, while still keeping your anonymity intact.

![](AccessAllowed.jpg)

Warning: This setup is not officialy supported by Tor project, it should be considered as experimental. It is still recommended to use the default setup of Whonix and Tor browser for the rest of your anonymous activities online.

For further details on how you can combine Tor and VPNs to protect your anonymity, refer to [this tutorial](../torthroughvpn/index.md)

Other useful reference: <https://www.whonix.org/wiki/Tunnels/Connecting_to_Tor_before_a_proxy>

## _OPSEC Recommendations:_

  1. Hardware : (Personal Computer / Laptop)

  2. Host OS: [Linux](../linux/index.md) (Or Qubes OS)

  3. Hypervisor: [libvirtd QEMU/KVM](../hypervisorsetup/index.md) (Or Qubes OS's Xen)

  4. Virtual Machine:[Whonix](../whonixqemuvms/index.md) (that must be dedicated to the (you -> Tor -> residential proxy -> website) setup 






## **Proxy Purchase**

_Warning:_ Everything below needs to be done inside the dedicated new whonix workstation VM!

[smspool.net](https://smspool.net/) is chosen to be the proxy provider for this demo, the author is not affiliated with this service. It is used because it is monero friendly, other service providers should work similarly.

First you need to register:

![](Reg.png)

Choose "switch to hCaptcha" otherwise you might get stuck at the cloudflare verification.

The next step is to deposit monero into the website and purchase the proxy.

![](Deposit.png)

When your deposit get credited, purchase the proxy.

![](Proxy.png)

Now your proxy is ready, check for the details inside "My Proxy" section.

![](ProxyData.png)

Copy your proxy ip, port, username, password. It will be used later.

## **Browser setup**

Due to an upstream change, the proxy setup method mentioned in whonix tutorial is not working <https://www.whonix.org/wiki/Tunnels/Connecting_to_Tor_before_a_proxy/Proxy_Settings_Method>

One of the other methods is to use the foxyproxy addon. **However please note that installing a plugin will change the Tor browser fingerprint, so it is highly recommended you keep the rest of your anonymous activities in a separate default Whonix Workstation VM.** Use this setup only when you are in this specific serverside context.

![](InstallAddon.png)

Choose the "add-ons and themes" in the firefox menu and search for foxyproxy.

![](FoxyProxySearch.png)

![](FoxyProxySearch2.png)

Install the plugin, pin the plugin and allow it to work in private windows.

![](FoxyProxyInstall.png)

![](FoxyProxyInstall2.png)

## **Connect to Proxy**

Finally, we will connect to the proxy we just purchased.

First find foxyproxy in the menu bar and choose "options".

![](FoxyProxyOptions.png)

Add the proxy information in the "proxy" tab.

![](FoxyProxyAdd.png)

In this demo, the proxy is HTTP, if you use a different provider and it doesn't work, try to check the protocol. Fill all the info and save it.

Now check the website you want to accessed, it is blocked because you are still using the Tor exit node.

![](WebsiteDenied.png)

Choose the proxy you just added in FoxyProxy button, and reset your Tor browser identity.

Now access <https://check.Torproject.org>, and you should see a warning says you are not using Tor, due to having the connection originating from the residential Proxy IP, **this means that you have successfully completed the (you -> Tor -> residential proxy -> website) Setup, effectively hiding that you're using Tor from the destination website.**

![](CheckIP.png)

Now try the website that blocks Tor, it should work now if you did everything correctly!

![](WebsiteAccessed.png)

